Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026502
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2014-05-09 12:432014-10-01 16:36
ReporterjecharriView Statuspublic 
Assigned ToSandrahuguet 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision5ef5b7acfcbd
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojecharri
Web browserGoogle Chrome
ModulesAdvanced Payables and Receivables Mngmt
Regression levelProduction - QA Approved
Regression date2014-02-11
Regression introduced in release3.0PR14Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/87765308f9bd [^]
Triggers an Emergency PackYes
Summary

0026502: Performance of module script InitializeIsPaymentPaid is bad in Q2

DescriptionPerformance of module script InitializeIsPaymentPaid is bad in Q2
Steps To Reproduce-Upgrade one instance with 250000 payment schedule detail to Q2

You will see that module script never ends
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067039)
hgbot (developer)
2014-05-09 13:42

Repository: erp/devel/pi
Changeset: 5ef5b7acfcbd5d3509e25938572e472af9770223
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri May 09 13:41:51 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5ef5b7acfcbd5d3509e25938572e472af9770223 [^]

Fixed bug 26502 Improve performance of modulescript InitializeIsPaymentPaid

---
M src-db/database/model/tables/FIN_PAYMENT_SCHEDULEDETAIL.xml
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeIsPaymentPaidData.class
M src-util/modulescript/src/org/openbravo/modulescript/InitializeIsPaymentPaid_data.xsql
---
(0067042)
hgbot (developer)
2014-05-09 15:55

Repository: erp/devel/pi
Changeset: caaec458a53c920fe43f054bc96454a03c66bf18
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Fri May 09 14:56:09 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/caaec458a53c920fe43f054bc96454a03c66bf18 [^]

Related to issue 26502

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeIsPaymentPaidData.class
M src-util/modulescript/src/org/openbravo/modulescript/InitializeIsPaymentPaid_data.xsql
---
(0067088)
jecharri (developer)
2014-05-12 13:02

Verified in a client environment
(0067096)
hudsonbot (developer)
2014-05-12 17:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8bdb56ba8f66 [^]
Maturity status: Test
(0067098)
hudsonbot (developer)
2014-05-12 17:35

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8bdb56ba8f66 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-09 12:43 jecharri New Issue
2014-05-09 12:43 jecharri Assigned To => dmiguelez
2014-05-09 12:43 jecharri Web browser => Google Chrome
2014-05-09 12:43 jecharri Modules => Advanced Payables and Receivables Mngmt
2014-05-09 12:43 jecharri Triggers an Emergency Pack => No
2014-05-09 12:46 jecharri Web browser Google Chrome => Google Chrome
2014-05-09 12:46 jecharri Regression level => Production - QA Approved
2014-05-09 12:46 jecharri Regression date => 2014-02-11
2014-05-09 12:46 jecharri Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/87765308f9bd [^]
2014-05-09 12:46 jecharri Triggers an Emergency Pack No => Yes
2014-05-09 12:48 jecharri Tag Attached: Performance
2014-05-09 12:48 jecharri Tag Attached: per
2014-05-09 12:48 jecharri Tag Detached: per
2014-05-09 12:52 jecharri Assigned To dmiguelez => Sandrahuguet
2014-05-09 13:42 hgbot Checkin
2014-05-09 13:42 hgbot Note Added: 0067039
2014-05-09 13:42 hgbot Status new => resolved
2014-05-09 13:42 hgbot Resolution open => fixed
2014-05-09 13:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5ef5b7acfcbd5d3509e25938572e472af9770223 [^]
2014-05-09 15:55 hgbot Checkin
2014-05-09 15:55 hgbot Note Added: 0067042
2014-05-12 13:02 jecharri Review Assigned To => jecharri
2014-05-12 13:02 jecharri Note Added: 0067088
2014-05-12 13:02 jecharri Status resolved => closed
2014-05-12 17:35 hudsonbot Checkin
2014-05-12 17:35 hudsonbot Note Added: 0067096
2014-05-12 17:35 hudsonbot Checkin
2014-05-12 17:35 hudsonbot Note Added: 0067098
2014-10-01 16:36 plujan Web browser Google Chrome => Google Chrome
2014-10-01 16:36 plujan Regression introduced in release => 3.0PR14Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker